﻿using System;
using System.Collections.Generic;

namespace MongoExpressionConvert
{
    public class ClassRoom : Entity
    {
        public string ClassName { get; private set; }

        public List<Guid> Enrolled { get; private set; }

        public ClassRoom(string className, Guid id)
        {
            Enrolled = new List<Guid>();
            this.ClassName = className;
            this.Id = id;
        }

        public void Enroll(Student person)
        {
            this.Enrolled.Add(person.Id);
        }

        public void Disenroll(Student person)
        {
            this.Enrolled.Remove(person.Id);
        }
    }
}
